Page MenuHomePhabricator

tests: rely on dummyssh being the default
ClosedPublic

Authored by valentin.gatienbaron on Aug 3 2021, 12:47 AM.

Details

Summary

This commit is exactly the result of running this command:

sed -i -e 's! *\(-e \|--ssh \|--config ui.ssh=\)[ \"]*$PYTHON[ \"]*$\(RUN\|\)TESTDIR/dummyssh[\"]* *! !g' -e '/^[ >]*ssh *=[ "]*$PYTHON[ "]*$\(RUN\|\)TESTDIR\/dummyssh[ "]*$/d' -e 's/^\( [$] .*[^ ]\) *$/\1/' *.t *.sh

Sometimes the tests can be simplified further, but I think it's
preferable to do the simplification separately.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit accepted this revision.Aug 4 2021, 4:49 AM
This revision is now accepted and ready to land.Aug 4 2021, 4:49 AM
Alphare requested changes to this revision.Aug 27 2021, 6:21 AM
Alphare added a subscriber: Alphare.

Seems like this breaks some globbing on Windows because of / vs \: https://foss.heptapod.net/octobus/mercurial-devel/-/jobs/241810

This revision now requires changes to proceed.Aug 27 2021, 6:21 AM

I think this should be fixed. If I understand the diff correctly, it was a slash vs backslash change, and the rest is noise.

This part of the regex ".*[\/]dummyssh" should be ".*[/\\]dummyssh", since [\/] is only a redundant escape for [/]. (https://foss.heptapod.net/octobus/mercurial-devel/-/jobs/242492)

I'll amend this in your patches and test again.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.